Permalink
Browse files

Upgrade rails and many other dependencies.

  • Loading branch information...
1 parent de78305 commit a1cf1df287fa64994fb1481c0093dc33b15a9edb Harold Giménez committed Jun 1, 2011
@@ -4,12 +4,14 @@ Feature: Rake works in the suspended project
When I drop and create the required databases
And I run the rake task "db:create"
And I run the rake task "db:migrate"
+ And I run the rake task "db:test:prepare"
And I run the rake task "cucumber"
Then I see a successful response in the shell
Scenario: Making a spec then running rake
When I drop and create the required databases
And I generate "model post title:string"
And I run the rake task "db:migrate"
+ And I run the rake task "db:test:prepare"
And I run the rake task "spec"
Then I see a successful response in the shell
View
@@ -1 +1 @@
-require 'spec/expectations'
+#require 'spec/expectations'
@@ -1,4 +1,4 @@
-<%= javascript_include_tag 'jquery', 'jquery-ui', 'rails', 'prefilled_input', 'application', :cache => true %>
+<%= javascript_include_tag 'jquery.min', 'jquery-ui.min', 'jquery_ujs', 'prefilled_input', 'application', :cache => true %>
<%= yield :javascript %>
View
@@ -69,14 +69,11 @@ def trout(destination_path)
"app/views/layouts/application.html.erb",
:force => true
-say "Let's use jQuery"
-
-%w(jquery jquery-ui).each do |file|
- trout "public/javascripts/#{file}.js"
-end
+trout 'Gemfile'
+run "bundle install"
-download_file "https://github.com/rails/jquery-ujs/raw/master/src/rails.js",
- "public/javascripts/rails.js"
+say "Let's use jQuery"
+generate "jquery:install", "--ui"
say "Pulling in some common javascripts"
@@ -88,9 +85,6 @@ def trout(destination_path)
say "Get ready for bundler... (this will take a while)"
-trout 'Gemfile'
-run "bundle install"
-
say "Let's use MySQL"
template "mysql_database.yml.erb", "config/database.yml", :force => true
View
@@ -1,41 +1,40 @@
source :rubygems
-gem "rails", ">= 3.0.3"
+gem "rails", "~> 3.0.7"
gem "rack"
-gem "clearance", "~> 0.10.1"
-gem "haml"
+gem "clearance", "~> 0.11.1"
+gem "sass"
gem "high_voltage"
-gem "hoptoad_notifier"
+gem "hoptoad_notifier", "~> 2.4.11"
gem "RedCloth", :require => "redcloth"
gem "paperclip"
-gem "will_paginate"
gem "validation_reflection"
gem "formtastic"
gem "mysql"
-gem "flutie"
+gem "flutie", "~> 1.1.8"
gem "dynamic_form"
+gem "jquery-rails"
+gem "rake", "0.8.7"
# RSpec needs to be in :development group to expose generators
# and rake tasks without having to type RAILS_ENV=test.
group :development, :test do
- gem "rspec-rails", "~> 2.4.0"
+ gem "rspec-rails", "~> 2.6.1"
gem "ruby-debug", :platforms => :mri_18
gem "ruby-debug19", :platforms => :mri_19
end
group :test do
- gem "cucumber-rails"
+ gem "cucumber-rails", "0.4.1"
gem "factory_girl_rails"
gem "bourne"
- gem "capybara"
gem "database_cleaner"
gem "fakeweb"
gem "sham_rack"
- gem "nokogiri"
gem "timecop"
gem "treetop"
- gem "shoulda"
+ gem "shoulda-matchers"
gem "launchy"
- gem "akephalos"
+ gem "capybara-webkit"
gem "thin"
end

Large diffs are not rendered by default.

Oops, something went wrong.

Large diffs are not rendered by default.

Oops, something went wrong.

0 comments on commit a1cf1df

Please sign in to comment.